Package org.opengis.cite.iso19142.basic

# Class BasicCapabilitiesTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.basic.BasicCapabilitiesTests

public class BasicCapabilitiesTests extends BaseFixture
Tests the service response to a GetCapabilities request for "Basic WFS" conformance.

See Also:
  - "ISO 19142:2010, cl. 8: GetCapabilities operation"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static final String`
  `BASIC_WFS_PHASE`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicCapabilitiesTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildGetCapabilitiesRequest()`
  Builds a DOM Document representing a GetCapabilities request for a complete service metadata document.
  `void`
  `checkSuitePreconditions(org.testng.ITestContext context)`
  `void`
  `describesBasicWFS(ProtocolBinding binding)`
  Verifies that the content of the service metadata (wfs:WFS_Capabilities) document satisfies the requirements for "Basic WFS" conformance.
  `void`
  `implementsBasicWFS(org.testng.ITestContext testContext)`
  Run the tests for the "Basic WFS" conformance class only if the service constraint "ImplementsBasicWFS" has the value 'TRUE'.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BASIC_WFS_PHASE

    static final String BASIC_WFS_PHASE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BasicCapabilitiesTests

    public BasicCapabilitiesTests()

- ## Method Details

  - ### checkSuitePreconditions

    @BeforeTest public void checkSuitePreconditions(org.testng.ITestContext context)

  - ### implementsBasicWFS

    @BeforeTest public void implementsBasicWFS(org.testng.ITestContext testContext)
    Run the tests for the "Basic WFS" conformance class only if the service constraint "ImplementsBasicWFS" has the value 'TRUE'. Otherwise the constituent tests will be skipped.
    Parameters:
      `testContext` - The test (set) context.

  - ### buildGetCapabilitiesRequest

    @BeforeClass public void buildGetCapabilitiesRequest()
    Builds a DOM Document representing a GetCapabilities request for a complete service metadata document.

  - ### describesBasicWFS

    public void describesBasicWFS(ProtocolBinding binding) throws jakarta.xml.soap.SOAPException
    Verifies that the content of the service metadata (wfs:WFS_Capabilities) document satisfies the requirements for "Basic WFS" conformance. Additional service endpoints, service properties (constraints), and filtering options must be implemented. The applicable rules are incorporated into the "BasicWFSPhase" phase of the Schematron schema `wfs-capabilities-2.0.sch`.
    Parameters:
      `binding` - The ProtocolBinding to use.
    Throws:
      `jakarta.xml.soap.SOAPException` - If an error occurs while processing a SOAP response message.
    See Also:
      - "ISO 19142:2010, Table 1: Conformance classes"
      - "ISO 19142:2010, Table 13: Service constraints"
      - "ISO 19142:2010, cl. A.1.2: Basic WFS"
      - "ISO 19143:2010, Table 5: Names of conformance class constraints"